package com.leanwo.activiti.dto.approver;

import java.io.Serializable;

/**
 * 
 */
public class Approver implements Serializable{
	
	/** 节点ID. */
	private Long nodeId;
	
	/** 用户ID. */
	private Long userId;
	
	/** 用户名称. */
	private String userName;
	
	/** 部门ID. */
	private Long deptId;
	
	/** 部门名称. */
	private String deptName;
	
	/** 父部门ID. */
	private Long parentDeptId;

	/** 用户组ID. */
	private Long groupId;
	
	/** 用户组名称. */
	private String groupName;
	
	/**
	 * Gets the 节点ID.
	 *
	 * @return the 节点ID
	 */
	public Long getNodeId() {
		return nodeId;
	}

	/**
	 * Sets the 节点ID.
	 *
	 * @param nodeId the new 节点ID
	 */
	public void setNodeId(Long nodeId) {
		this.nodeId = nodeId;
	}

	/**
	 * Gets the 用户ID.
	 *
	 * @return the 用户ID
	 */
	public Long getUserId() {
		return userId;
	}

	/**
	 * Sets the 用户ID.
	 *
	 * @param userId the new 用户ID
	 */
	public void setUserId(Long userId) {
		this.userId = userId;
	}

	/**
	 * Gets the 用户名称.
	 *
	 * @return the 用户名称
	 */
	public String getUserName() {
		return userName;
	}

	/**
	 * Sets the 用户名称.
	 *
	 * @param userName the new 用户名称
	 */
	public void setUserName(String userName) {
		this.userName = userName;
	}

	/**
	 * Gets the 部门ID.
	 *
	 * @return the 部门ID
	 */
	public Long getDeptId() {
		return deptId;
	}

	/**
	 * Sets the 部门ID.
	 *
	 * @param deptId the new 部门ID
	 */
	public void setDeptId(Long deptId) {
		this.deptId = deptId;
	}

	/**
	 * Gets the 部门名称.
	 *
	 * @return the 部门名称
	 */
	public String getDeptName() {
		return deptName;
	}

	/**
	 * Sets the 部门名称.
	 *
	 * @param deptName the new 部门名称
	 */
	public void setDeptName(String deptName) {
		this.deptName = deptName;
	}

	/**
	 * Gets the 父部门ID.
	 *
	 * @return the 父部门ID
	 */
	public Long getParentDeptId() {
		return parentDeptId;
	}

	/**
	 * Sets the 父部门ID.
	 *
	 * @param parentDeptId the new 父部门ID
	 */
	public void setParentDeptId(Long parentDeptId) {
		this.parentDeptId = parentDeptId;
	}

	/**
	 * Gets the 用户组ID.
	 *
	 * @return the 用户组ID
	 */
	public Long getGroupId() {
		return groupId;
	}

	/**
	 * Sets the 用户组ID.
	 *
	 * @param groupId the new 用户组ID
	 */
	public void setGroupId(Long groupId) {
		this.groupId = groupId;
	}

	/**
	 * Gets the 用户组名称.
	 *
	 * @return the 用户组名称
	 */
	public String getGroupName() {
		return groupName;
	}

	/**
	 * Sets the 用户组名称.
	 *
	 * @param groupName the new 用户组名称
	 */
	public void setGroupName(String groupName) {
		this.groupName = groupName;
	}
	
}
